public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/tboot/
Date: Sat, 26 Feb 2022 02:30:00 +0000 (UTC)	[thread overview]
Message-ID: <1645842369.95817a64efefc37806c543c4efef2f4f7a72cf5e.sam@gentoo> (raw)

commit:     95817a64efefc37806c543c4efef2f4f7a72cf5e
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Thu Feb 24 20:57:39 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 26 02:26:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95817a64

sys-boot/tboot: Bump to 1.10.4

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-boot/tboot/Manifest            |  1 +
 sys-boot/tboot/tboot-1.10.4.ebuild | 76 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/sys-boot/tboot/Manifest b/sys-boot/tboot/Manifest
index af909f3a1a02..c4e612c45eaa 100644
--- a/sys-boot/tboot/Manifest
+++ b/sys-boot/tboot/Manifest
@@ -1 +1,2 @@
 DIST tboot-1.10.3.tar.gz 906732 BLAKE2B 4015ba84fbc273d1f1ea3f302dd11e62d1866049a31674b8967a9c1be645f88f2fdbc8614e1f7d824010e8280484885392b34aedb2d9f32654a3065e75e0bd42 SHA512 998501cfb23511adf63c0e2a70f203b3a92328cba39948a6be2e0dc6600aaaf9fcc18dc1ffcdd00c43a5d2c688c34c912c7525fd54a5c673a764c34141be4b77
+DIST tboot-1.10.4.tar.gz 908050 BLAKE2B 8c793e2ec29cc3c3aa8199ac5058e9b3521eb0a72609c8b5ae21e0843571ae765be74bb48184178e2641ff8eec05680f81e45b12b80fd7d2727c82f9c8702411 SHA512 6fe93cabd5fc10cba7797048cad2cce4c490e0112c5c877f3367d78873cb55ba3d84eb703f2fcdba807eb21f1bef6a838d315b32d6418fb88b2589ff66e99491

diff --git a/sys-boot/tboot/tboot-1.10.4.ebuild b/sys-boot/tboot/tboot-1.10.4.ebuild
new file mode 100644
index 000000000000..4cedba3fabfc
--- /dev/null
+++ b/sys-boot/tboot/tboot-1.10.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit mount-boot toolchain-funcs
+
+DESCRIPTION="Performs a measured and verified boot using Intel Trusted Execution Technology"
+HOMEPAGE="https://sourceforge.net/projects/tboot/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="custom-cflags selinux"
+
+# requires patching the kernel src
+RESTRICT="test"
+
+DEPEND="dev-libs/openssl:0=[-bindist(-)]"
+
+RDEPEND="${DEPEND}
+	sys-boot/grub:2
+	selinux? ( sec-policy/selinux-tboot )"
+
+DOCS=( README.md COPYING CHANGELOG )
+PATCHES=( "${FILESDIR}/${PN}-1.10.3-disable-Werror.patch"
+	  "${FILESDIR}/${PN}-1.10.3-disable-strip.patch"
+	  "${FILESDIR}/${PN}-1.10.3-dont-call-toolchain-directly.patch" )
+
+pkg_setup() {
+	if tc-is-clang; then
+		eerror "tboot is a freestanding application that uses gcc"
+		eerror "extensions in fundemental ways, include VLAIS"
+		eerror "(Variable Length Arrays in Structs) and will not"
+		eerror "compile with clang witout upstream action"
+		die "Cannot compile with clang. See bug #832020"
+	fi
+}
+
+src_configure() {
+	tc-export AS LD CC CPP AR RANLIB NM OBJCOPY OBJDUMP STRIP
+
+	default
+}
+
+src_compile() {
+	use custom-cflags && export TBOOT_CFLAGS=${CFLAGS} || unset CCASFLAGS CFLAGS CPPFLAGS LDFLAGS
+
+	if use amd64; then
+		export MAKEARGS="TARGET_ARCH=x86_64"
+	else
+		export MAKEARGS="TARGET_ARCH=i686"
+	fi
+
+	default
+}
+
+src_install() {
+	emake DISTDIR="${D}" install
+
+	dodoc "${DOCS[@]}"
+	dodoc docs/*.{txt,md}
+
+	cd "${ED}" || die
+	mkdir -p usr/lib/tboot/ || die
+	mv boot usr/lib/tboot/ || die
+}
+
+pkg_postinst() {
+	cp "${ROOT}/usr/lib/tboot/boot/"* "${ROOT}/boot/" || die
+
+	ewarn "Please remember to download the SINIT AC Module relevant"
+	ewarn "for your platform from:"
+	ewarn "http://software.intel.com/en-us/articles/intel-trusted-execution-technology/"
+}


             reply	other threads:[~2022-02-26  2:30 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-26  2:30 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-11 23:21 [gentoo-commits] repo/gentoo:master commit in: sys-boot/tboot/ Jason Zaman
2024-08-11 23:21 Jason Zaman
2022-03-21 23:52 Sam James
2022-02-26  2:30 Sam James
2022-02-09 11:25 Sam James
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-05-02 19:31 Mikle Kolyada
2019-12-13 22:34 Ulrich Müller
2017-11-18  8:53 Jason Zaman
2017-11-18  8:53 Jason Zaman
2017-08-02 16:22 Jason Zaman
2017-08-02 15:41 Jason Zaman
2016-11-06 11:23 Jason Zaman
2016-08-29  1:24 Jason Zaman
2016-06-01 12:59 Jason Zaman
2016-03-27  2:36 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1645842369.95817a64efefc37806c543c4efef2f4f7a72cf5e.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox